Bug 705794 - IPA Replica not started on reboot
Summary: IPA Replica not started on reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 6.1
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 709330
TreeView+ depends on / blocked
 
Reported: 2011-05-18 13:56 UTC by Jenny Severance
Modified: 2015-01-04 23:48 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The IPA services are not available after a reboot when the server is installed with ipa-replica-install. Consequence: The IPA services are not started. Fix: Use chkconfig to enable the ipa init service. Result: The IPA services are started on reboot.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:22:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-05-18 13:56:00 UTC
Description of problem:
ipa service is not enabled via the chkconfig tool in the replica installation. When the replica machine is restarted, IPA is not started. 

Version-Release number of selected component (if applicable):
ipa-server-2.0.0-23.1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dmitri Pal 2011-05-18 18:18:52 UTC
https://fedorahosted.org/freeipa/ticket/1191

Comment 2 Rob Crittenden 2011-05-27 16:20:02 UTC
master: 9f701781490e8544761eca464db528228021931e

ipa-2-0: 4b453d6b3715001a0a75afde60dfc4a22b894ae4

Comment 5 Jenny Severance 2011-09-21 17:16:34 UTC
verified:

# ipactl status
Directory Service: RUNNING
KDC Service: RUNNING
KPASSWD Service: RUNNING
DNS Service: RUNNING
HTTP Service: RUNNING


# reboot

Broadcast message from root@ipaqavmh.testrelm
	(/dev/pts/0) at 12:16 ...

The system is going down for reboot NOW!
[root@ipaqavmh shm]# 
[root@ipaqavmh shm]# Connection to ipaqavmh.idm.lab.bos.redhat.com closed by remote host.
Connection to ipaqavmh.idm.lab.bos.redhat.com closed.

$ ssh root@ipaqavmh.idm.lab.bos.redhat.com
root@ipaqavmh.idm.lab.bos.redhat.com's password: 
Last login: Wed Sep 21 12:00:07 2011 from dhcp-100-19-189.bos.redhat.com
**  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **
                 This System is reserved by jgalipea@redhat.com.

      Beaker Test information:
                         HOSTNAME=ipaqavmh.testrelm
                            JOBID=134298
                         RECIPEID=278616
                    RESULT_SERVER=127.0.0.1:7083
                           DISTRO=RHEL6.2-20110921.n.0
                     ARCHITECTURE=x86_64
**  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **

# ipactl status
Directory Service: RUNNING
KDC Service: RUNNING
KPASSWD Service: RUNNING
DNS Service: RUNNING
HTTP Service: RUNNING

version:
ipa-server-2.1.1-3.el6.x86_64

Comment 6 Rob Crittenden 2011-10-31 18:34:51 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The IPA services are not available after a reboot when the server is installed with ipa-replica-install.
Consequence: The IPA services are not started.
Fix: Use chkconfig to enable the ipa init service.
Result: The IPA services are started on reboot.

Comment 7 errata-xmlrpc 2011-12-06 18:22:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.